Bug 521430 - Review Request: etckeeper - Store /etc in git, mercurial, bzr or darcs
Summary: Review Request: etckeeper - Store /etc in git, mercurial, bzr or darcs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 20:28 UTC by Bernie Innocenti
Modified: 2010-09-16 22:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 03:58:32 UTC
terjeros: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Improved etckeeper spec. (3.70 KB, text/plain)
2009-09-09 19:41 UTC, Terje Røsten
no flags Details

Description Bernie Innocenti 2009-09-05 20:28:30 UTC
Spec URL: http://codewiz.org/pub/fedora/specs/etckeeper.spec
SRPM URL: http://codewiz.org/pub/fedora/source/etckeeper-0.40-1.fc12.src.rpm
Description:
The etckeeper program is a tool to let /etc be stored in a git,
mercurial, bzr or darcs repository. It hooks into yum to automatically
commit changes made to /etc during package upgrades. It tracks file
metadata that version control systems do not normally support, but that
is important for /etc, such as the permissions of /etc/shadow. It's
quite modular and configurable, while also being simple to use if you
understand the basics of working with version control.

Comment 1 Terje Røsten 2009-09-09 19:40:20 UTC
Nice package, I did some tweaks to the spec file:

- Package is noarch
- Rpmlint clean (as it gets)
- Random cleanup
- Ship cache dir in package
- bzr subpackage
- Add bzr to buildreq

 - Terje

Comment 2 Terje Røsten 2009-09-09 19:41:48 UTC
Created attachment 360325 [details]
Improved etckeeper spec.

The spec file in comment #2.

Comment 3 Bernie Innocenti 2009-09-09 20:03:14 UTC
All your changes seem good to me, thanks.  Would you like to approve the review?

Comment 4 Terje Røsten 2009-09-12 19:51:06 UTC
The review has not started yet, for starters the package don't build in koji:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=1674016
 http://koji.fedoraproject.org/koji/getfile?taskID=1674016&name=build.log

Fix that (hint: python-devel) and I will do a formal review.

Comment 6 Terje Røsten 2009-09-13 19:32:48 UTC
 - rpmlint
etckeeper.src:76: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/%{name}.*
etckeeper.noarch: W: only-non-binary-in-usr-lib
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/post-install.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/init.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/update-ignore.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/uninit.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/commit.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/pre-install.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/pre-commit.d/README
etckeeper.noarch: W: non-conffile-in-etc /etc/etckeeper/unclean.d/README
3 packages and 0 specfiles checked; 1 errors, 9 warnings.

All these errors and warnings is harmless. ok.

- naming. ok.
- spec file name. ok.
- legible and American English. ok.
! license. GPL file has GPLv2, while debian/copyright has GPLv2+
  no files has license information, could you ping upstream about this?
- guidelines. ok. remove comments in spec file?
- source tarball:
  d41439dd78d1f85ad77aafdbeed4d460  etckeeper_0.40.tar.gz
  d41439dd78d1f85ad77aafdbeed4d460  etckeeper_0.40.tar.gz.1 ok.
- build and runs fine.
  koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1675401 ok.
! own all dirs.
  + add %dir /etc/etckeeper, it's not include.
  + add /etc/bash_completion.d too (a bit strange, seems to be normal though)
  + /usr/lib/yum-plugins and /etc/yum/pluginconf.d: this is possible yum dep,
    however I am tempted to relax that.
- defattr. ok.
- file listing. ok.
- clean, macros. ok.
- subpackage. ok.
- install, utf-8. ok.


Optional:

 etckeeper.8 has:

SEE ALSO
       /usr/share/doc/etckeeper/README.gz

could change that by sed/perl to %{_docdir}/%{name}-%{version}/README

Comment 7 Terje Røsten 2009-09-27 17:15:13 UTC
Any progress here?

Comment 8 Bernie Innocenti 2009-09-27 18:19:38 UTC
> ! license. GPL file has GPLv2, while debian/copyright has GPLv2+
>   no files has license information, could you ping upstream about this?

README says "etckeeper is licensed under version 2 or greater of the GNU GPL"


> ! own all dirs.
>   + add %dir /etc/etckeeper, it's not include.
>   + add /etc/bash_completion.d too (a bit strange, seems to be normal though)
>   + /usr/lib/yum-plugins and /etc/yum/pluginconf.d: this is possible yum dep,
>     however I am tempted to relax that.

Fixed.

I updated the package to 0.41:

 http://codewiz.org/pub/fedora/specs/etckeeper.spec
 http://codewiz.org/pub/fedora/source/etckeeper-0.41-1.fc12.src.rpm

Comment 9 Terje Røsten 2009-09-28 17:16:48 UTC
Thanks, package seems fine now. I have sent an email upstream about the license.

You can import the package with GPLv2+ for now, package is

 APPROVED

Comment 10 Bernie Innocenti 2009-09-28 22:47:54 UTC
New Package CVS Request
=======================
Package Name: etckeeper
Short Description: Store /etc in git, mercurial, bzr or darcs
Owners: bernie
Branches: F-11
InitialCC:

Comment 11 Kevin Fenzi 2009-09-29 20:15:06 UTC
cvs done with F-12 branch added.

Comment 12 Bernie Innocenti 2009-09-30 03:58:16 UTC
Imported and built for devel, F12 and F11.  Thanks.

Comment 13 Terje Røsten 2009-10-19 11:23:31 UTC
I can't find the package in F11 updates, can you please push it for F11?

Comment 14 Bernie Innocenti 2009-10-20 00:35:21 UTC
(In reply to comment #13)
> I can't find the package in F11 updates, can you please push it for F11?  

Oops, forgot to push it. Please, test the package and give it your +1 if it seems to work.

https://admin.fedoraproject.org/updates/etckeeper-0.41-1.fc11?_csrf_token=cd42782cec0223bdd513a51ab8163fbf45b3e9de

Comment 15 Thomas Moschny 2010-09-16 22:11:47 UTC
See bug 570623.

Package Change Request
======================
Package Name: etckeeper
New Branches: el5 el6
Owners: thm

Comment 16 Kevin Fenzi 2010-09-16 22:17:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.